curl --request POST \
--url https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"search_settings": {
"use_hybrid_search": false,
"use_semantic_search": true,
"use_fulltext_search": false,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": true,
"include_scores": true,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": true
},
"graph_settings": {
"limits": "<array>",
"enabled": true
},
"num_sub_queries": 5
}
}
'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search"
payload = {
"query": "<string>",
"search_settings": {
"use_hybrid_search": False,
"use_semantic_search": True,
"use_fulltext_search": False,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": True,
"include_scores": True,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": True
},
"graph_settings": {
"limits": "<array>",
"enabled": True
},
"num_sub_queries": 5
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
search_settings: {
use_hybrid_search: false,
use_semantic_search: true,
use_fulltext_search: false,
filters: '<string>',
limit: 10,
offset: '0',
include_metadatas: true,
include_scores: true,
search_strategy: 'vanilla',
hybrid_settings: {full_text_weight: 1, semantic_weight: 5, full_text_limit: 200, rrf_k: 50},
chunk_settings: {probes: 10, ef_search: 40, enabled: true},
graph_settings: {limits: '<array>', enabled: true},
num_sub_queries: 5
}
})
};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'search_settings' => [
'use_hybrid_search' => false,
'use_semantic_search' => true,
'use_fulltext_search' => false,
'filters' => '<string>',
'limit' => 10,
'offset' => '0',
'include_metadatas' => true,
'include_scores' => true,
'search_strategy' => 'vanilla',
'hybrid_settings' => [
'full_text_weight' => 1,
'semantic_weight' => 5,
'full_text_limit' => 200,
'rrf_k' => 50
],
'chunk_settings' => [
'probes' => 10,
'ef_search' => 40,
'enabled' => true
],
'graph_settings' => [
'limits' => '<array>',
'enabled' => true
],
'num_sub_queries' => 5
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}"
response = http.request(request)
puts response.read_body{
"results": {
"chunk_search_results": [
{
"id": "3f3d47f3-8baf-58eb-8bc2-0171fb1c6e09",
"document_id": "3e157b3a-8469-51db-90d9-52e7d896b49b",
"collection_ids": [
"collection_ids"
],
"text": "Example text from the document",
"metadata": {
"associated_query": "What is the capital of France?",
"title": "example_document.pdf"
},
"owner_id": "2acb499e-8428-543b-bd85-0d9098718220",
"score": 0.23943702876567796
}
],
"graph_search_results": [
{
"content": {
"id": "3f3d47f3-8baf-58eb-8bc2-0171fb1c6e09",
"name": "Entity Name",
"description": "Entity Description",
"metadata": {
"key": "value"
}
},
"id": "id",
"result_type": "entity",
"chunk_ids": [
"c68dc72e-fc23-5452-8f49-d7bd46088a96"
],
"metadata": {
"associated_query": "What is the capital of France?"
}
}
],
"web_search_results": [
{
"position": 1,
"id": "id",
"title": "Page Title",
"link": "https://example.com/page",
"snippet": "Page snippet",
"date": "2021-01-01",
"sitelinks": [
{
"link": "https://example.com/sitelink",
"title": "Sitelink Title"
}
]
}
],
"document_search_results": [
{
"id": "id",
"collection_ids": [
"collection_ids"
],
"owner_id": "owner_id",
"document_type": "mp3",
"metadata": {
"key": "value"
},
"version": "version"
}
]
}
}{}{}Search R2R
Perform a search query against vector and/or graph-based databases.
curl --request POST \
--url https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"search_settings": {
"use_hybrid_search": false,
"use_semantic_search": true,
"use_fulltext_search": false,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": true,
"include_scores": true,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": true
},
"graph_settings": {
"limits": "<array>",
"enabled": true
},
"num_sub_queries": 5
}
}
'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search"
payload = {
"query": "<string>",
"search_settings": {
"use_hybrid_search": False,
"use_semantic_search": True,
"use_fulltext_search": False,
"filters": "<string>",
"limit": 10,
"offset": "0",
"include_metadatas": True,
"include_scores": True,
"search_strategy": "vanilla",
"hybrid_settings": {
"full_text_weight": 1,
"semantic_weight": 5,
"full_text_limit": 200,
"rrf_k": 50
},
"chunk_settings": {
"probes": 10,
"ef_search": 40,
"enabled": True
},
"graph_settings": {
"limits": "<array>",
"enabled": True
},
"num_sub_queries": 5
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
search_settings: {
use_hybrid_search: false,
use_semantic_search: true,
use_fulltext_search: false,
filters: '<string>',
limit: 10,
offset: '0',
include_metadatas: true,
include_scores: true,
search_strategy: 'vanilla',
hybrid_settings: {full_text_weight: 1, semantic_weight: 5, full_text_limit: 200, rrf_k: 50},
chunk_settings: {probes: 10, ef_search: 40, enabled: true},
graph_settings: {limits: '<array>', enabled: true},
num_sub_queries: 5
}
})
};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'search_settings' => [
'use_hybrid_search' => false,
'use_semantic_search' => true,
'use_fulltext_search' => false,
'filters' => '<string>',
'limit' => 10,
'offset' => '0',
'include_metadatas' => true,
'include_scores' => true,
'search_strategy' => 'vanilla',
'hybrid_settings' => [
'full_text_weight' => 1,
'semantic_weight' => 5,
'full_text_limit' => 200,
'rrf_k' => 50
],
'chunk_settings' => [
'probes' => 10,
'ef_search' => 40,
'enabled' => true
],
'graph_settings' => [
'limits' => '<array>',
'enabled' => true
],
'num_sub_queries' => 5
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.intelligence.io.solutions/api/r2r/v3/retrieval/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"search_settings\": {\n \"use_hybrid_search\": false,\n \"use_semantic_search\": true,\n \"use_fulltext_search\": false,\n \"filters\": \"<string>\",\n \"limit\": 10,\n \"offset\": \"0\",\n \"include_metadatas\": true,\n \"include_scores\": true,\n \"search_strategy\": \"vanilla\",\n \"hybrid_settings\": {\n \"full_text_weight\": 1,\n \"semantic_weight\": 5,\n \"full_text_limit\": 200,\n \"rrf_k\": 50\n },\n \"chunk_settings\": {\n \"probes\": 10,\n \"ef_search\": 40,\n \"enabled\": true\n },\n \"graph_settings\": {\n \"limits\": \"<array>\",\n \"enabled\": true\n },\n \"num_sub_queries\": 5\n }\n}"
response = http.request(request)
puts response.read_body{
"results": {
"chunk_search_results": [
{
"id": "3f3d47f3-8baf-58eb-8bc2-0171fb1c6e09",
"document_id": "3e157b3a-8469-51db-90d9-52e7d896b49b",
"collection_ids": [
"collection_ids"
],
"text": "Example text from the document",
"metadata": {
"associated_query": "What is the capital of France?",
"title": "example_document.pdf"
},
"owner_id": "2acb499e-8428-543b-bd85-0d9098718220",
"score": 0.23943702876567796
}
],
"graph_search_results": [
{
"content": {
"id": "3f3d47f3-8baf-58eb-8bc2-0171fb1c6e09",
"name": "Entity Name",
"description": "Entity Description",
"metadata": {
"key": "value"
}
},
"id": "id",
"result_type": "entity",
"chunk_ids": [
"c68dc72e-fc23-5452-8f49-d7bd46088a96"
],
"metadata": {
"associated_query": "What is the capital of France?"
}
}
],
"web_search_results": [
{
"position": 1,
"id": "id",
"title": "Page Title",
"link": "https://example.com/page",
"snippet": "Page snippet",
"date": "2021-01-01",
"sitelinks": [
{
"link": "https://example.com/sitelink",
"title": "Sitelink Title"
}
]
}
],
"document_search_results": [
{
"id": "id",
"collection_ids": [
"collection_ids"
],
"owner_id": "owner_id",
"document_type": "mp3",
"metadata": {
"key": "value"
},
"version": "version"
}
]
}
}{}{}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The search query text
Default value of custom allows full control over search settings. Pre-configured search modes: basic: A simple semantic-based search. advanced: A more powerful hybrid search combining semantic and full-text. custom: Full control via search_settings. If filters or limit are provided alongside basic or advanced, they will override the default settings for that mode.ID of the collection to search in
basic, advanced, custom The search configuration object. If search_mode is custom, these settings are used as-is. For basic or advanced, these settings will override the default mode configuration. Common overrides include filters to narrow results and limit to control how many results are returned.
Show child attributes
Show child attributes
Response
200
Show child attributes
Show child attributes